org.codehaus.groovy.runtime

## Class Reflector

- java.lang.Object
- - org.codehaus.groovy.runtime.Reflector

-     public class Reflector
      extends Object

  Provides as alternative to reflection using bytecode generation.
  Version:
    $Revision: 4247 $
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reflector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(CachedMethod method, Object object, Object[] arguments)`
    `protected Object` | `noSuchMethod(CachedMethod method, Object object, Object[] arguments)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Reflector

          public Reflector()

  - ### Method Detail

    - #### invoke

          public Object invoke(CachedMethod method,
                      Object object,
                      Object[] arguments)

    - #### noSuchMethod

          protected Object noSuchMethod(CachedMethod method,
                            Object object,
                            Object[] arguments)